Thread Post endpoint

The Thread Post endpoint and fields are described below including details of the supported RESTful CRUD verbs. For details of the conventions of the API see the general conventions.

Endpoint path prefix:

/n/v1/threadpost/

threadpost was introduced in API version V1

Thread Post has not been marked for deprecation

See Thread post for representation details.

Description

Endpoint for managing thread posts in a message or chat thread

Verbs / methods

This endpoint supports the following CRUD operations in line with our API conventions. See the conventions section for more details.

CREATE HTTP POST

Request payload

Thread post reference

{
  "messageThread" : {
    "urn" : "91ec0651-f0fd-495e-a1c7-f3e1e018bf7f",
    "url" : "/n/v1/messagethread/91ec0651-f0fd-495e-a1c7-f3e1e018bf7f"
  },
  "authorIdentity" : {
    "urn" : "10615807-513a-49b5-85e4-9df44a0e1ef1",
    "url" : "/n/v1/identity/10615807-513a-49b5-85e4-9df44a0e1ef1"
  },
  "content" : "Hello messaging world!",
  "createdTimestamp" : "2026-05-03"
}

Response payload

Thread post reference
Representation of a post or message in a thread of messages

{
  "urn" : "82910d6f-cf69-4fad-9eb8-3e08d5bb51f8",
  "url" : "/n/v1/threadpost/82910d6f-cf69-4fad-9eb8-3e08d5bb51f8",
  "messageThread" : {
    "urn" : "91ec0651-f0fd-495e-a1c7-f3e1e018bf7f",
    "url" : "/n/v1/messagethread/91ec0651-f0fd-495e-a1c7-f3e1e018bf7f"
  },
  "authorIdentity" : {
    "urn" : "10615807-513a-49b5-85e4-9df44a0e1ef1",
    "url" : "/n/v1/identity/10615807-513a-49b5-85e4-9df44a0e1ef1"
  },
  "content" : "Hello messaging world!",
  "createdTimestamp" : "2026-05-03"
}

Response codes / scenarios

  • CREATE_SUCCESS

    API code CREATE_SUCCESS HTTP status code 201 : When the representation provided was successfully created return HTTP created (201). Note that when other context like authorisation and permissions are satisfied but the representation is invalid or missing required information typically a error representation with details of the missing information may be returned instead with REPRESENTATION_MISSING_REQUIRED_FIELD api error for example

  • INVALID_REPRESENTATION

    API code INVALID_REPRESENTATION HTTP status code 400 : When creating or updating a representation and the provided representation is invalid. May include an error representation with details of the issue

  • BAD_REQUEST

    API code BAD_REQUEST HTTP status code 400 : When the request is invalid or malformed the general bad request response can be returned.

READ HTTP GET

Response example

Thread post
Representation of a post or message in a thread of messages

{
  "urn" : "82910d6f-cf69-4fad-9eb8-3e08d5bb51f8",
  "url" : "/n/v1/threadpost/82910d6f-cf69-4fad-9eb8-3e08d5bb51f8",
  "messageThread" : {
    "urn" : "91ec0651-f0fd-495e-a1c7-f3e1e018bf7f",
    "url" : "/n/v1/messagethread/91ec0651-f0fd-495e-a1c7-f3e1e018bf7f"
  },
  "authorIdentity" : {
    "urn" : "10615807-513a-49b5-85e4-9df44a0e1ef1",
    "url" : "/n/v1/identity/10615807-513a-49b5-85e4-9df44a0e1ef1"
  },
  "content" : "Hello messaging world!",
  "createdTimestamp" : "2026-05-03"
}

Response codes / scenarios

  • READ_SUCCESS

    API code READ_SUCCESS HTTP status code 200 : On read when the request is successful. The returned representation is given with the relevant 2XX HTTP code without further detail.

  • NOT_FOUND

    API code NOT_FOUND HTTP status code 404 : When the request referenced a representation or a concept that was not found including other request context requirements. Note that if a request is missing other concepts including authorisation, permissions or restrictions on the visibility HTTP not found (404) will typically be returned. Note that when creating a representation if the owner or other references can't be resolved the endpoint may return not found.

DELETE HTTP DELETE

Response codes / scenarios

  • DELETE_SUCCESS

    API code DELETE_SUCCESS HTTP status code 202 : When deletion of a representation was successful. Note that returns HTTP accepted (202) to represent the success of the deletion state transfer rather than HTTP gone (410) as 4XX represent client errors for semantic consistency

  • BAD_REQUEST

    API code BAD_REQUEST HTTP status code 400 : When the request is invalid or malformed the general bad request response can be returned.

  • NOT_FOUND

    API code NOT_FOUND HTTP status code 404 : When the request referenced a representation or a concept that was not found including other request context requirements. Note that if a request is missing other concepts including authorisation, permissions or restrictions on the visibility HTTP not found (404) will typically be returned. Note that when creating a representation if the owner or other references can't be resolved the endpoint may return not found.